<div class="image shadow">
  <img [src]="performance.imgUrl" alt="slika"/>
</div>

<div class="back">
  <div class="content">
    <a class="header" *ngIf="!isAdmin; else admin" routerLinkActive="active" [routerLinkActiveOptions] = "{ exact: true }"  [routerLink]="[performance.id]">{{ performance.name }}</a>
    <ng-template #admin><h3>{{ performance.name }}</h3></ng-template>
    <div class="description">
      <p>Kratak opis: {{ performance.shortDescription }}</p>
    </div>
    <div class="extra">
      <p>
        <span>Reziser: {{ performance.director }}</span>
      </p>
      <div [ngSwitch]="performance.genre">
        <span *ngSwitchCase="PerformanceTypeEnum.Drama" class="ui white tag label">{{ PerformanceTypeEnum.Drama }}</span>
        <span *ngSwitchCase="PerformanceTypeEnum.Comedy" class="ui tag label">{{ PerformanceTypeEnum.Comedy }}</span>
        <span *ngSwitchCase="PerformanceTypeEnum.Tragedy" class="ui tag label">{{ PerformanceTypeEnum.Tragedy }}</span>
      </div>
      <a class="ui green tag label" *ngIf="isReserved">Rezervisano</a>
    </div>
  </div>
</div>


